diff -Naur emacs-goodies-el-24.9.orig/debian/README.Debian emacs-goodies-el-24.9/debian/README.Debian
--- emacs-goodies-el-24.9.orig/debian/README.Debian	2004-12-13 10:08:56.000000000 -0800
+++ emacs-goodies-el-24.9/debian/README.Debian	2004-12-13 10:12:14.000000000 -0800
@@ -74,6 +74,12 @@
 coffee.el provides an Emacs interface to RFC2324-compliant coffee
 devices
 
+cua.el almost transparently allows you to use C-z, C-x, C-c, and C-v for undo,
+cut, copy, and paste, without interfering with the use of Ctrl-x and Ctrl-c as
+prefix keys.  It supports Shift-<movement> to highlight and extend the
+selected region.  It also includes a rectangle-selection mode, activated with
+Shift-Enter.
+
 cyclebuffer.el provides M-x cyclebuffer-forward, to switch to other
 buffers in the most-recently-visited-first order.  If you accidentally
 overshoot, calling cyclebuffer-backward goes back.  You might want to
@@ -254,6 +260,12 @@
 sys-apropos.el provides M-x sys-apropos, an interface to the "apropos"
 command.
 
+tabbar.el displays buffers as tabs in the header line, and provides commands
+to switch between them.  You can bind keys to M-x tabbar-forward and M-x
+tabbar-backward, and use these to quickly switch between buffers.  By default,
+tabbar-mode will group buffers into various groups, and only display one group
+at a time on the tabbar; you can change this by customizing tabbar.
+
 table.el provides a text based table creation and editing feature.
 With this package Emacs is capable of editing tables that are embedded
 inside a text document, the feature similar to the ones seen in modern
@@ -297,4 +309,4 @@
 resource database files.  To use it, simple open a file named
 .Xdefaults, .Xenvironment, .Xresources or *.ad.
 
- -- Peter S Galbraith <psg@debian.org>, Sun Nov 23 14:46:49 2003
+ -- Peter S Galbraith <psg@debian.org>, Mon Dec 13 10:11:34 2004
diff -Naur emacs-goodies-el-24.9.orig/debian/control emacs-goodies-el-24.9/debian/control
--- emacs-goodies-el-24.9.orig/debian/control	2004-12-13 10:08:56.000000000 -0800
+++ emacs-goodies-el-24.9/debian/control	2004-12-13 09:47:35.000000000 -0800
@@ -26,6 +26,7 @@
   clipper - save strings of data for further use;
   ctypes.el - enhanced Font lock support for custom defined types;
   coffee - now Emacs can even brew coffee;
+  cua - emulate CUA key bindings (C-z undo, C-x cut, C-c copy, C-v paste);
   cyclebuffer - select buffer by cycling through;
   dedicated - make a window dedicated to a single buffer;
   df - display in the mode line space left on devices;
@@ -70,6 +71,7 @@
   shell-command - enables tab-completion for shell-command;
   silly-mail - generate bozotic mail headers;
   sys-apropos - interface for the *nix apropos command;
+  tabbar - Display a tab bar in the header line;
   table - create and edit WYSIWYG text based embedded tables;
   tail - "tail -f" a file or a command form within Emacs;
   tc - cite text with proper filling;
diff -Naur emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.copyright emacs-goodies-el-24.9/debian/emacs-goodies-el.copyright
--- emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.copyright	2004-12-13 10:08:56.000000000 -0800
+++ emacs-goodies-el-24.9/debian/emacs-goodies-el.copyright	2004-12-13 09:44:30.000000000 -0800
@@ -198,6 +198,26 @@
 `----
 
 
+Author/copyright info for cua.el:
+,----
+| ;;; cua.el --- emulate CUA key bindings
+| 
+| ;; Copyright (C) 1997-2001 Free Software Foundation, Inc.
+| 
+| ;; Author: Kim F. Storm <storm@cua.dk>
+| ;; Maintainer: Kim F. Storm <storm@cua.dk>
+| ;; Location: http://www.cua.dk/
+| [...]
+| ;; This file is not [yet] part of GNU Emacs, but is distributed under
+| ;; the same terms.
+| 
+| ;; GNU Emacs is free software; you can redistribute it and/or modify
+| ;; it under the terms of the GNU General Public License as published by
+| ;; the Free Software Foundation; either version 2, or (at your option)
+| ;; any later version.
+`----
+
+
 Author/copyright info for cyclebuffer.el:
 ,----
 | ;;; cyclebuffer.el --- select buffer by cycling through
@@ -812,6 +832,24 @@
 `----
 
 
+Author/copyright info for tabbar.el:
+,----
+| ;;; tabbar.el --- Display a tab bar in the header line
+| 
+| ;; Copyright (C) 2003 David Ponce
+| 
+| ;; Author: David Ponce <david@dponce.com>
+| ;; Maintainer: David Ponce <david@dponce.com>
+| [...]
+| ;; This file is not part of GNU Emacs.
+| 
+| ;; This program is free software; you can redistribute it and/or
+| ;; modify it under the terms of the GNU General Public License as
+| ;; published by the Free Software Foundation; either version 2, or (at
+| ;; your option) any later version.
+`----
+
+
 Author/copyright info for table.el:
 ,----
 | ;;; table.el --- create and edit WYSIWYG text based embedded tables
diff -Naur emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.emacsen-install.in emacs-goodies-el-24.9/debian/emacs-goodies-el.emacsen-install.in
--- emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.emacsen-install.in	2004-12-13 10:08:56.000000000 -0800
+++ emacs-goodies-el-24.9/debian/emacs-goodies-el.emacsen-install.in	2004-12-13 09:35:43.000000000 -0800
@@ -18,4 +18,4 @@
 
 EXCLUDED_emacs20="newsticker.el session.el"
 # EXCLUDED_emacs21="whitespace.el"
-EXCLUDED_xemacs21="todoo.el ibuffer.el"
+EXCLUDED_xemacs21="cua.el tabbar.el todoo.el ibuffer.el"
diff -Naur emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.install emacs-goodies-el-24.9/debian/emacs-goodies-el.install
--- emacs-goodies-el-24.9.orig/debian/emacs-goodies-el.install	2004-12-13 10:08:56.000000000 -0800
+++ emacs-goodies-el-24.9/debian/emacs-goodies-el.install	2004-12-13 09:34:58.000000000 -0800
@@ -10,6 +10,7 @@
 elisp/emacs-goodies-el/coffee.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/clipper.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/ctypes.el /usr/share/emacs/site-lisp/emacs-goodies-el/
+elisp/emacs-goodies-el/cua.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/cyclebuffer.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/dedicated.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/df.el /usr/share/emacs/site-lisp/emacs-goodies-el/
@@ -58,6 +59,7 @@
 elisp/emacs-goodies-el/shell-command.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/silly-mail.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/sys-apropos.el /usr/share/emacs/site-lisp/emacs-goodies-el/
+elisp/emacs-goodies-el/tabbar.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/table.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/tail.el /usr/share/emacs/site-lisp/emacs-goodies-el/
 elisp/emacs-goodies-el/tc.el /usr/share/emacs/site-lisp/emacs-goodies-el/
